Package de.gebit.integrity.parser.antlr

## Class DSLParser

- java.lang.Object
- - org.eclipse.xtext.parser.AbstractParser
  - - org.eclipse.xtext.parser.antlr.AbstractAntlrParser
    - - de.gebit.integrity.parser.antlr.DSLParser

- All Implemented Interfaces:
    `org.eclipse.xtext.parser.IParser`

      public class DSLParser
      extends org.eclipse.xtext.parser.antlr.AbstractAntlrParser

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.xtext.parser.IParser

      `org.eclipse.xtext.parser.IParser.NullImpl`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DSLParser()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected InternalDSLParser` | `createParser​(org.eclipse.xtext.parser.antlr.XtextTokenStream stream)` |
    `protected String` | `getDefaultRuleName()` |
    `DSLGrammarAccess` | `getGrammarAccess()` |
    `void` | `setGrammarAccess​(DSLGrammarAccess grammarAccess)` |
    `protected void` | `setInitialHiddenTokens​(org.eclipse.xtext.parser.antlr.XtextTokenStream tokenStream)` |

    - ### Methods inherited from class org.eclipse.xtext.parser.antlr.AbstractAntlrParser

      `createLexer, createNodeModelBuilder, createTokenStream, doParse, doParse, doParse, doReparse, getElementFactory, getLexerProvider, getPartialParser, getSyntaxErrorProvider, getTokenDefProvider, getUnorderedGroupHelper, isReparseSupported, parse, parse, parse, setElementFactory, setLexerProvider, setPartialParser, setSyntaxErrorProvider, setTokenDefProvider, setUnorderedGroupHelper`

    - ### Methods inherited from class org.eclipse.xtext.parser.AbstractParser

      `parse, reparse`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DSLParser

          public DSLParser()

  - ### Method Detail

    - #### setInitialHiddenTokens

          protected void setInitialHiddenTokens​(org.eclipse.xtext.parser.antlr.XtextTokenStream tokenStream)

      Overrides:
        `setInitialHiddenTokens` in class `org.eclipse.xtext.parser.antlr.AbstractAntlrParser`

    - #### createParser

          protected InternalDSLParser createParser​(org.eclipse.xtext.parser.antlr.XtextTokenStream stream)

      Specified by:
        `createParser` in class `org.eclipse.xtext.parser.antlr.AbstractAntlrParser`

    - #### getDefaultRuleName

          protected String getDefaultRuleName()

      Specified by:
        `getDefaultRuleName` in class `org.eclipse.xtext.parser.antlr.AbstractAntlrParser`

    - #### getGrammarAccess

          public DSLGrammarAccess getGrammarAccess()

    - #### setGrammarAccess

          public void setGrammarAccess​(DSLGrammarAccess grammarAccess)